summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-11-26 20:51:28 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2016-11-26 20:51:28 -0600
commit3c1c630466b2707bcdf5f51fcc2c1546b682bfdf (patch)
tree47d2162e48cf0309de56a1c198632c905af78cb5
parentmedia-libs/netpbm: fix test failures when USE=-jpeg #599940#1 (diff)
downloadgentoo-3c1c630466b2707bcdf5f51fcc2c1546b682bfdf.tar.gz
gentoo-3c1c630466b2707bcdf5f51fcc2c1546b682bfdf.tar.bz2
gentoo-3c1c630466b2707bcdf5f51fcc2c1546b682bfdf.zip
dev-ruby/facter: adding 9999 version
Package-Manager: portage-2.3.0
-rw-r--r--dev-ruby/facter/facter-9999.ebuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/dev-ruby/facter/facter-9999.ebuild b/dev-ruby/facter/facter-9999.ebuild
new file mode 100644
index 00000000000..a313d53dd69
--- /dev/null
+++ b/dev-ruby/facter/facter-9999.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22"
+
+# git-r3 goes after ruby-ng so that it overrides src_unpack properly
+inherit cmake-utils multilib ruby-ng git-r3
+
+DESCRIPTION="A cross-platform ruby library for retrieving facts from operating systems"
+HOMEPAGE="http://www.puppetlabs.com/puppet/related-projects/facter/"
+EGIT_REPO_URI="https://github.com/puppetlabs/facter.git"
+EGIT_BRANCH="master"
+S="${S}/${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="debug test"
+KEYWORDS=""
+
+CDEPEND="
+ >=sys-devel/gcc-4.8:*
+ >=dev-libs/boost-1.54[nls]
+ >=dev-libs/leatherman-0.9.3
+ >=dev-cpp/yaml-cpp-0.5.1
+ dev-cpp/cpp-hocon
+ dev-libs/openssl:*
+ sys-apps/util-linux
+ app-emulation/virt-what
+ net-misc/curl
+ !<app-admin/puppet-4.0.0"
+
+RDEPEND+=" ${CDEPEND}"
+DEPEND+=" test? ( ${CDEPEND} )"
+
+src_prepare() {
+ pwd
+ # Remove the code that installs facter.rb to the wrong directory.
+ sed -i '/install(.*facter\.rb/d' lib/CMakeLists.txt || die
+ sed -i '/install(.*facter\.jar/d' lib/CMakeLists.txt || die
+ # make it support multilib
+ sed -i "s/\ lib)/\ $(get_libdir))/g" lib/CMakeLists.txt || die
+ sed -i "s/lib\")/$(get_libdir)\")/g" CMakeLists.txt || die
+ default
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_VERBOSE_MAKEFILE=ON
+ -DCMAKE_BUILD_TYPE=None
+ -DCMAKE_INSTALL_PREFIX=/usr
+ -DCMAKE_INSTALL_SYSCONFDIR=/etc
+ -DCMAKE_INSTALL_LOCALSTATEDIR=/var
+ -DUSE_JRUBY_SUPPORT=FALSE
+ -DBLKID_LIBRARY=/$(get_libdir)/libblkid.so.1
+ )
+ if use debug; then
+ mycmakeargs+=(
+ -DCMAKE_BUILD_TYPE=Debug
+ )
+ fi
+ cmake-utils_src_configure
+}
+
+each_ruby_install() {
+ doruby "${BUILD_DIR}"/lib/facter.rb
+}
+
+src_install() {
+ cmake-utils_src_install
+ ruby-ng_src_install
+ if [[ $(get_libdir) == lib64 ]]; then
+ dodir /usr/lib64
+ mv "${D}/usr/lib/"* "${D}/usr/lib64/"
+ rmdir "${D}/usr/lib"
+ fi
+ doenvd "${FILESDIR}"/00facterdir
+}